Bug 139217 - GNOME window list/window switcher applet failed to start
GNOME window list/window switcher applet failed to start
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-14 00:26 EST by Edmond Hui
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-05 06:12:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edmond Hui 2004-11-14 00:26:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
After upgrade my Dell C810 from FC2 to FC3, I started to encounter
OAFIID problem with window list and window switcher applets. The
following error is encounter during startup:

The panel encountered a problem while loading
"OAFIID:GNOME_WindowListApplet".
Details: Failed to resolve, or extend
'!prefs_key=/apps/panel/profiles/default/applets/applet_25/prefs;background=none:;orient=up;size=x-small;locked_down=false

Do you want to delete the applet from your configuration?

The login works for a while after upgrade before encounter this error
and no work around to fix this problem.

Version-Release number of selected component (if applicable):
FC2

How reproducible:
Always

Steps to Reproduce:
1. Installed FC3, with /home untouch from FC2
2. login
    

Actual Results:  a error box with 2 options ("delete" and "don't
delete") is shown

Expected Results:  all should work without error

Additional info:
Comment 1 Mark McLoughlin 2004-11-15 03:45:05 EST
Thanks.

If this is still happening try doing the following from the command line:

  1) gnome-session-remove gnome-panel

  2) /usr/libexec/wncklet

  3) from another terminal do GNOME_PANEL_DEBUG=1 gnome-panel

And paste any error messages you see here.

If wncklet-applet is segfaulting, see:

  http://fedora.linux.duke.edu/wiki/index.cgi/StackTraces

for how to get a stack trace.

Comment 2 Edmond Hui 2004-11-15 11:38:50 EST
The problem disappear after I deleted the applet and re-install after
a few reboots.

I will collect the info when this happen again.

Thanks for the help.
Comment 3 Mark McLoughlin 2005-01-05 06:12:18 EST
Okay, thanks

Note You need to log in before you can comment on or make changes to this bug.